curl --request PUT \
--url https://api.hubapi.com/crm/v3/lists/{listId}/update-list-filters \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filterBranch": {
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchType": "AND",
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"operationType": "NUMBER",
"operator": "IS_GREATER_THAN_OR_EQUAL_TO",
"value": 12
},
"property": "hs_predictivecontactscore_v2"
},
{
"filterType": "PROPERTY",
"operation": {
"operationType": "ALL_PROPERTY",
"operator": "IS_UNKNOWN"
},
"property": "engagements_last_meeting_booked_source"
},
{
"acceptedStatuses": [
"OPT_IN"
],
"filterType": "EMAIL_SUBSCRIPTION",
"subscriptionIds": [
"81537745",
"321981152"
]
}
]
}
]
}
}
'{
"updatedList": {
"createdAt": "2023-11-15T20:11:50.293Z",
"createdById": "123",
"filterBranch": {
"filterBranchOperator": "OR",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "AND",
"filterBranchType": "AND",
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": false,
"operationType": "NUMBER",
"operator": "IS_GREATER_THAN_OR_EQUAL_TO",
"value": 12
},
"property": "hs_predictivecontactscore_v2"
},
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": false,
"operationType": "ALL_PROPERTY",
"operator": "IS_UNKNOWN"
},
"property": "engagements_last_meeting_booked_source"
},
{
"acceptedStatuses": [
"OPT_IN"
],
"filterType": "EMAIL_SUBSCRIPTION",
"subscriptionIds": [
"321981152",
"81537745"
],
"subscriptionType": "SUBSCRIPTION"
}
]
}
]
},
"filtersUpdatedAt": "2023-11-15T23:50:12.690Z",
"listId": "1",
"listVersion": 2,
"name": "Zero Size Test",
"objectTypeId": "0-1",
"processingStatus": "PROCESSING",
"processingType": "DYNAMIC",
"updatedAt": "2023-11-15T23:50:12.771Z",
"updatedById": "123"
}
}Actualiza la definición de ramificación de filtro de una lista “DINÁMICA”. Una vez actualizada, las membresías de la lista serán reevaluadas y se actualizarán para que coincidan con la nueva definición.
curl --request PUT \
--url https://api.hubapi.com/crm/v3/lists/{listId}/update-list-filters \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filterBranch": {
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchType": "AND",
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"operationType": "NUMBER",
"operator": "IS_GREATER_THAN_OR_EQUAL_TO",
"value": 12
},
"property": "hs_predictivecontactscore_v2"
},
{
"filterType": "PROPERTY",
"operation": {
"operationType": "ALL_PROPERTY",
"operator": "IS_UNKNOWN"
},
"property": "engagements_last_meeting_booked_source"
},
{
"acceptedStatuses": [
"OPT_IN"
],
"filterType": "EMAIL_SUBSCRIPTION",
"subscriptionIds": [
"81537745",
"321981152"
]
}
]
}
]
}
}
'{
"updatedList": {
"createdAt": "2023-11-15T20:11:50.293Z",
"createdById": "123",
"filterBranch": {
"filterBranchOperator": "OR",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "AND",
"filterBranchType": "AND",
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": false,
"operationType": "NUMBER",
"operator": "IS_GREATER_THAN_OR_EQUAL_TO",
"value": 12
},
"property": "hs_predictivecontactscore_v2"
},
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": false,
"operationType": "ALL_PROPERTY",
"operator": "IS_UNKNOWN"
},
"property": "engagements_last_meeting_booked_source"
},
{
"acceptedStatuses": [
"OPT_IN"
],
"filterType": "EMAIL_SUBSCRIPTION",
"subscriptionIds": [
"321981152",
"81537745"
],
"subscriptionType": "SUBSCRIPTION"
}
]
}
]
},
"filtersUpdatedAt": "2023-11-15T23:50:12.690Z",
"listId": "1",
"listVersion": 2,
"name": "Zero Size Test",
"objectTypeId": "0-1",
"processingStatus": "PROCESSING",
"processingType": "DYNAMIC",
"updatedAt": "2023-11-15T23:50:12.771Z",
"updatedById": "123"
}
}Productos compatibles
Ámbitos Requeridos
cms.membership.access_groups.writecrm.lists.readcrm.lists.writeThe access token received from the authorization server in the OAuth 2.0 flow.
El ID de ILS de la lista que se actualizará.
Un marcador que indica si las membresías agregadas a la lista como resultado del cambio de filtro deben o no deben ser inscritas en los workflows que son relevantes para esta lista.
The definition of the list filter branch update request.
Se actualizaron los criterios de filtrado de la lista
Show child attributes
Successful response
The updated definition of the list in response to a list update request.
An object list definition.
Show child attributes